---
lang: en
title: 'API docs: core.mountcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.mountcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [mountComponent](./core.mountcomponent.md)

## mountComponent() function

Mount a component to an Application.

**Signature:**

```typescript
export declare function mountComponent(app: Application, component: Component): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

app


</td><td>

[Application](./core.application.md)


</td><td>

Application


</td></tr>
<tr><td>

component


</td><td>

[Component](./core.component.md)


</td><td>

Component instance


</td></tr>
</tbody></table>

**Returns:**

void


